reSIProcate
SIP stack, Dialog Usage Manager and related libraries
Loading...
Searching...
No Matches
QueryTypes.hxx
Go to the documentation of this file.
1
#ifndef RESIP_QUERY_TYPES_HXX
2
#define RESIP_QUERY_TYPES_HXX
3
4
#include "
rutil/HeapInstanceCounter.hxx
"
5
#include "
rutil/compat.hxx
"
6
#include "
rutil/Socket.hxx
"
7
#include "
rutil/BaseException.hxx
"
8
#include "
DnsResourceRecord.hxx
"
9
#include "
DnsHostRecord.hxx
"
10
#include "
DnsCnameRecord.hxx
"
11
#include "
DnsAAAARecord.hxx
"
12
#include "
DnsSrvRecord.hxx
"
13
#include "
DnsNaptrRecord.hxx
"
14
15
//'Interface' of the RRType concept
16
// class QueryType
17
// {
18
// public:
19
// static unsigned short getRRType();
20
// enum SupportsCName; //does following CNAME apply to this query type
21
// };
22
23
25
26
namespace
resip
27
{
28
29
#define defineQueryType(_name, _type, _rrType, _supportsCName, _rfc) \
30
class RR_##_name \
31
{ \
32
public: \
33
RESIP_HeapCount(RR_##_name); \
34
enum {SupportsCName = _supportsCName}; \
35
static unsigned short getRRType(); \
36
typedef _type Type; \
37
static Data getRRTypeName(); \
38
}; \
39
extern RR_##_name q_##_name
40
41
defineQueryType
(A,
DnsHostRecord
, 1,
true
,
"RFC 1035"
);
42
defineQueryType
(CNAME,
DnsCnameRecord
, 5,
false
,
"RFC 1035"
);
43
44
defineQueryType
(AAAA,
DnsAAAARecord
, 28,
true
,
"RFC 3596"
);
45
46
defineQueryType
(SRV,
DnsSrvRecord
, 33,
true
,
"RFC 2782"
);
47
defineQueryType
(NAPTR,
DnsNaptrRecord
, 35,
true
,
"RFC 2915"
);
48
49
}
50
51
#undef defineQueryType
52
53
#endif
54
55
/* ====================================================================
56
* The Vovida Software License, Version 1.0
57
*
58
* Copyright (c) 2000-2005 Vovida Networks, Inc. All rights reserved.
59
*
60
* Redistribution and use in source and binary forms, with or without
61
* modification, are permitted provided that the following conditions
62
* are met:
63
*
64
* 1. Redistributions of source code must retain the above copyright
65
* notice, this list of conditions and the following disclaimer.
66
*
67
* 2. Redistributions in binary form must reproduce the above copyright
68
* notice, this list of conditions and the following disclaimer in
69
* the documentation and/or other materials provided with the
70
* distribution.
71
*
72
* 3. The names "VOCAL", "Vovida Open Communication Application Library",
73
* and "Vovida Open Communication Application Library (VOCAL)" must
74
* not be used to endorse or promote products derived from this
75
* software without prior written permission. For written
76
* permission, please contact vocal@vovida.org.
77
*
78
* 4. Products derived from this software may not be called "VOCAL", nor
79
* may "VOCAL" appear in their name, without prior written
80
* permission of Vovida Networks, Inc.
81
*
82
* THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
83
* WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
84
* OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
85
* NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL VOVIDA
86
* NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
87
* IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
88
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
89
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
90
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
91
* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
92
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
93
* USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
94
* DAMAGE.
95
*
96
* ====================================================================
97
*
98
* This software consists of voluntary contributions made by Vovida
99
* Networks, Inc. and many individuals on behalf of Vovida Networks,
100
* Inc. For more information on Vovida Networks, Inc., please see
101
* <http://www.vovida.org/>.
102
*
103
*/
104
BaseException.hxx
DnsAAAARecord.hxx
DnsCnameRecord.hxx
DnsHostRecord.hxx
DnsNaptrRecord.hxx
DnsResourceRecord.hxx
DnsSrvRecord.hxx
HeapInstanceCounter.hxx
defineQueryType
#define defineQueryType(_name, _type, _rrType)
Definition
QueryTypes.cxx:9
Socket.hxx
Handles cross-platform sockets compatibility.
resip::DnsAAAARecord
Definition
DnsAAAARecord.hxx:20
resip::DnsCnameRecord
Definition
DnsCnameRecord.hxx:15
resip::DnsHostRecord
Definition
DnsHostRecord.hxx:18
resip::DnsNaptrRecord
Definition
DnsNaptrRecord.hxx:18
resip::DnsSrvRecord
Definition
DnsSrvRecord.hxx:17
compat.hxx
This file is used to handle compatibility fixes/tweaks so reSIProcate can function on multiple platfo...
resip
dcm! – add UnusedChecking(_enum) below;
Definition
AbstractFifo.hxx:16
rutil
dns
QueryTypes.hxx
Generated by
1.9.8